package com.example.new_project;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class Register_Activity extends AppCompatActivity {

    private EditText Name;
    private EditText Surname;
    private EditText Login_reg;
    private EditText Password_reg;
    private TextView Back_login;
    private Button Btn_reg;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_register);

        Name = findViewById(R.id.name);
        Surname = findViewById(R.id.surname);
        Login_reg = findViewById(R.id.login_reg);
        Password_reg = findViewById(R.id.password_reg);

        Back_login = findViewById(R.id.Back_login);
        Btn_reg = findViewById(R.id.btn_reg);

        Btn_reg.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                String nName = Name.getText().toString().trim();
                String nSurname = Surname.getText().toString().trim();
                String nLogin_reg = Login_reg.getText().toString().trim();
                String nPassword_reg = Password_reg.getText().toString().trim();

                if(TextUtils.isEmpty(nLogin_reg))
                {
                    Login_reg.setError("Required Field..");
                    return;
                }
                if(TextUtils.isEmpty(nPassword_reg))
                {
                    Password_reg.setError("Required Field..");
                    return;
                }
            }
        });



        Back_login.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                startActivity(new Intent(getApplicationContext(),Auto_Activity.class));
            }
        });
    }
}